Skip to main content
GET
/
bank
/
{ifsc}
/
accounts
/
{account_number}
/
verify
Bank Account Verification [Penny-Drop]
curl --request GET \
  --url https://test-api.sandbox.co.in/bank/{ifsc}/accounts/{account_number}/verify \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://test-api.sandbox.co.in/bank/{ifsc}/accounts/{account_number}/verify"

headers = {
    "Authorization": "<authorization>",
    "x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://test-api.sandbox.co.in/bank/{ifsc}/accounts/{account_number}/verify', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "code": 200, "timestamp": 1000000000000, "transaction_id": "46e33c70-e192-49cb-8d0f-e0c4489d0958", "data": { "@entity": "@in.co.sandbox.bank.account.penny_drop_verification_response", "message": "Bank Account details verified successfully.", "account_exists": true, "name_at_bank": "John Doe", "utr": "329613870973", "amount_deposited": "1" } }
https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3

Run in Postman

Headers

Authorization
string
required

JWT access token. For token-generation steps, refer to the Quickstart Guide.

x-accept-cache
boolean

Controls cache behavior for the request: true — Return cached response if available false — Bypass cache and fetch fresh data from origin Default: If omitted, returns fresh data from origin

x-api-key
string
required

API key used to identify and authenticate the client.

x-api-version
string

Specifies the API version for the request.

Path Parameters

ifsc
string
required

11-digit alpha-numeric code used to identify the bank branches

Pattern: ^[A-Za-z]{4}[a-zA-Z0-9]{7}$
account_number
string
required

Bank account number. Max length: 40 characters

Query Parameters

name
string

optional Name. Max length: 100 characters

mobile
string

optional Mobile. Length: 10 digits

Pattern: ^[6-9]\d{9}$

Response

code
integer
required
timestamp
integer
required
transaction_id
string
required
data
object
required